Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.util
Class SortedMap

Method Summary
`SortedMap` | `asImmutable()` A convenience method for creating an immutable sorted map
`SortedMap` | `asSynchronized()` A convenience method for creating a synchronized SortedMap

Method Detail

### asImmutable

    public SortedMap asImmutable()

  A convenience method for creating an immutable sorted map.

Returns:
  an immutable SortedMap

See:
  Collections#unmodifiableSortedMap.

### asSynchronized

    public SortedMap asSynchronized()

  A convenience method for creating a synchronized SortedMap.

Returns:
  a synchronized SortedMap

See:
  Collections#synchronizedSortedMap.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK